Get a permanent RUM retention filter

GET https://api.ap1.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.ap2.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.datadoghq.eu/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.ddog-gov.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.us2.ddog-gov.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.us3.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.us5.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}

Overview

Get a permanent RUM retention filter for a RUM application by its identifier.

Arguments

Path Parameters

Name

Type

Description

app_id [required]

string

RUM application ID.

permanent_rf_id [required]

string

The identifier of the permanent RUM retention filter.

Response

OK

A permanent RUM retention filter object.

Expand All

Field

Type

Description

data

object

A permanent RUM retention filter.

attributes

object

The attributes of a permanent RUM retention filter.

cross_product_sampling

object

The configuration for cross-product retention filters.

trace_enabled

boolean

Whether the cross-product retention filter for APM traces is enabled.

trace_sample_rate

double

The sample rate for the APM cross-product retention filter, between 0 and 100.

description

string

A description of what the filter retains.

editability

object

Indicates which cross-product fields of a permanent RUM retention filter can be updated.

trace_editable

boolean

Whether the APM trace cross-product configuration of the filter can be updated.

name

string

The display name of the permanent retention filter.

id

enum

The identifier of a permanent RUM retention filter. Allowed enum values: rum_apm_flat_sampling,synthetics_sessions,forced_replay_sessions

type

enum

The type of the resource. The value should always be permanent_retention_filters. Allowed enum values: permanent_retention_filters

default: permanent_retention_filters

{
  "data": {
    "attributes": {
      "cross_product_sampling": {
        "trace_enabled": true,
        "trace_sample_rate": 25
      },
      "description": "All sessions generated by Synthetics are retained at 100%.",
      "editability": {
        "trace_editable": true
      },
      "name": "Synthetics Sessions"
    },
    "id": "synthetics_sessions",
    "type": "permanent_retention_filters"
  }
}

Not Authorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export app_id="CHANGE_ME"
export permanent_rf_id="synthetics_sessions"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/rum/applications/${app_id}/retention_filters/permanent/${permanent_rf_id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"